<!--
  Generated template for the CartPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header >
 <!-- <ion-navbar class="dawn-bar">
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>My Cart</ion-title>
  </ion-navbar> -->
  
  <ion-navbar >
      <ion-buttons end>
          <button *ngIf="appState.CartCount>0" clear style="color:black;background: transparent">
              {{appState.CartTimer}}
            </button>
            <ion-icon  *ngIf="appState.CartCount>0" ios="ios-cart" md="md-cart"></ion-icon>
        <button *ngIf="appState.CartCount>0" clear style="color:black;background: transparent" (click)="viewCart()">
       ({{appState.CartCount}})
        </button>
      </ion-buttons>
    <ion-title>My Cart</ion-title>
  </ion-navbar>
</ion-header>


<ion-content    >

<ion-grid *ngFor="let item of cartItems" >
    <ion-row *ngIf="!isEmpty" >
        <ion-col col-3>
            <img src="{{item.complogo}}" >
        </ion-col>
        <ion-col col-6>
          <div class="top-text">
            <h6>{{item.companyname}}</h6>
            <p>{{item.servicename}} ({{item.providername}})</p>
          </div>

          <div class="date-and-time">
            <div class="date-time">
              <p>Date & Time</p>
              <h6>  {{item.date | date:'d  MMM, y' }} | {{item.starttime  }}-{{item.endtime }}</h6>
            </div>
              <div class="duration">
                <p>Duration</p>
                <h6>{{item.duration}} minutes</h6>
              </div>
          </div>
          <div class="date-and-time two" *ngIf="viewType"> 
            <div>
                <p>Booking for</p>
                <h6>self</h6>
            </div>
            <div>
                <p>Availability</p>
                <h6>In Clinic ({{item.address}}</h6>
            </div>
          
          </div>
          <div class="date-and-time three class1 class2" (click)="clicked($event)" (click)="viewType = !viewType">
              <h6 class="more-button"><span>More</span> <ion-icon name="ios-arrow-down"></ion-icon></h6>
              <h6 class="more-button two"> <span>Less</span> <ion-icon name="ios-arrow-up"></ion-icon>
              </h6>
            </div>
           
          
        </ion-col>
        <ion-col col-3>
            <h5 class="money">{{item.currency}}{{item.itemprice}}</h5>
            <ion-icon name="md-trash" class="bottom-icon"  (click)="delete(item)"></ion-icon>
        </ion-col>
    </ion-row>
</ion-grid>


<!--
<ion-grid>
    <ion-row>
        <ion-col col-3>
            <img src="assets/imgs/epoch_logo.png" >
        </ion-col>
        <ion-col col-6>
          <div class="top-text">
            <h6>Severn Angels Healthcare Ltd</h6>
            <p>Care at home (David Rosss)</p>
          </div>

          <div class="date-and-time">
            <div class="date-time">
              <p>Date & Time</p>
              <h6>03 Nov, 2018 | 16:30-17:30</h6>
            </div>
              <div class="duration">
                <p>Duration</p>
                <h6>1 Hour</h6>
              </div>
          </div>
          <div class="date-and-time two" *ngIf="viewType"> 
            <div>
                <p>Booking for</p>
                <h6>self</h6>
            </div>
            <div>
                <p>Availability</p>
                <h6>In Clinic (Fortis Hospital Sector - 53, Near Paras Downtime, Gurugram, Haryana</h6>
            </div>
          
          </div>
          <div class="date-and-time three class1 class2" (click)="clicked($event)" (click)="viewType = !viewType">
              <h6 class="more-button"><span>More</span> <ion-icon name="ios-arrow-down"></ion-icon></h6>
              <h6 class="more-button two"> <span>Less</span> <ion-icon name="ios-arrow-up"></ion-icon>
              </h6>
            </div>
            
          
        </ion-col>
        <ion-col col-3>
            <h5 class="money">£12.00</h5>
            <ion-icon name="md-trash" class="bottom-icon" ></ion-icon>
        </ion-col>
    </ion-row>
</ion-grid>


<ion-grid>
    <ion-row>
        <ion-col col-3>
            <img src="assets/imgs/epoch_logo.png" >
        </ion-col>
        <ion-col col-6>
          <div class="top-text">
            <h6>Severn Angels Healthcare Ltd</h6>
            <p>Care at home (David Rosss)</p>
          </div>

          <div class="date-and-time">
            <div class="date-time">
              <p>Date & Time</p>
              <h6>03 Nov, 2018 | 16:30-17:30</h6>
            </div>
              <div class="duration">
                <p>Duration</p>
                <h6>1 Hour</h6>
              </div>
          </div>
          <div class="date-and-time two" *ngIf="viewType"> 
            <div>
                <p>Booking for</p>
                <h6>self</h6>
            </div>
            <div>
                <p>Availability</p>
                <h6>In Clinic (Fortis Hospital Sector - 53, Near Paras Downtime, Gurugram, Haryana</h6>
            </div>
          
          </div>
          <div class="date-and-time three class1 class2" (click)="clicked($event)" (click)="viewType = !viewType">
              <h6 class="more-button"><span>More</span> <ion-icon name="ios-arrow-down"></ion-icon></h6>
              <h6 class="more-button two"> <span>Less</span> <ion-icon name="ios-arrow-up"></ion-icon>
              </h6>
            </div>
            
          
        </ion-col>
        <ion-col col-3>
            <h5 class="money">£12.00</h5>
            <ion-icon name="md-trash" class="bottom-icon" ></ion-icon>
        </ion-col>
    </ion-row>
</ion-grid>


<ion-grid>
    <ion-row>
        <ion-col col-3>
            <img src="assets/imgs/epoch_logo.png" >
        </ion-col>
        <ion-col col-6>
          <div class="top-text">
            <h6>Severn Angels Healthcare Ltd</h6>
            <p>Care at home (David Rosss)</p>
          </div>

          <div class="date-and-time">
            <div class="date-time">
              <p>Date & Time</p>
              <h6>03 Nov, 2018 | 16:30-17:30</h6>
            </div>
              <div class="duration">
                <p>Duration</p>
                <h6>1 Hour</h6>
              </div>
          </div>
          <div class="date-and-time two" *ngIf="viewType"> 
            <div>
                <p>Booking for</p>
                <h6>self</h6>
            </div>
            <div>
                <p>Availability</p>
                <h6>In Clinic (Fortis Hospital Sector - 53, Near Paras Downtime, Gurugram, Haryana</h6>
            </div>
          
          </div>
          <div class="date-and-time three class1 class2" (click)="clicked($event)" (click)="viewType = !viewType">
              <h6 class="more-button"><span>More</span> <ion-icon name="ios-arrow-down"></ion-icon></h6>
              <h6 class="more-button two"> <span>Less</span> <ion-icon name="ios-arrow-up"></ion-icon>
              </h6>
            </div>
            
        </ion-col>
        <ion-col col-3>
            <h5 class="money">£12.00</h5>
            <ion-icon name="md-trash" class="bottom-icon" ></ion-icon>
        </ion-col>
    </ion-row>
</ion-grid>



<ion-grid>
    <ion-row>
        <ion-col col-3>
            <img src="assets/imgs/epoch_logo.png" >
        </ion-col>
        <ion-col col-6>
          <div class="top-text">
            <h6>Severn Angels Healthcare Ltd</h6>
            <p>Care at home (David Rosss)</p>
          </div>

          <div class="date-and-time">
            <div class="date-time">
              <p>Date & Time</p>
              <h6>03 Nov, 2018 | 16:30-17:30</h6>
            </div>
              <div class="duration">
                <p>Duration</p>
                <h6>1 Hour</h6>
              </div>
          </div>
          <div class="date-and-time two" *ngIf="viewType"> 
            <div>
                <p>Booking for</p>
                <h6>self</h6>
            </div>
            <div>
                <p>Availability</p>
                <h6>In Clinic (Fortis Hospital Sector - 53, Near Paras Downtime, Gurugram, Haryana</h6>
            </div>
          
          </div>
          <div class="date-and-time three class1 class2" (click)="clicked($event)" (click)="viewType = !viewType">
              <h6 class="more-button"><span>More</span> <ion-icon name="ios-arrow-down"></ion-icon></h6>
              <h6 class="more-button two"> <span>Less</span> <ion-icon name="ios-arrow-up"></ion-icon>
              </h6>
            </div>
            
          
        </ion-col>
        <ion-col col-3>
            <h5 class="money">£12.00</h5>
            <ion-icon name="md-trash" class="bottom-icon" ></ion-icon>
        </ion-col>
    </ion-row>
</ion-grid>
-->

<ion-grid   *ngIf="!isEmpty" class="checkout">
    <ion-row>
      <ion-col col-6>
        <h3>Total</h3>
        <h1>{{Currency}}{{Total}}</h1>
      </ion-col>
      <ion-col col-6>
          <button  (click)="checkOut()">checkout <ion-icon name="ios-arrow-round-forward"></ion-icon></button>
      </ion-col>
    </ion-row>
</ion-grid>
<div *ngIf="isEmpty" text-center style="height: 100%;">
<p style="font-size: 15px" style="vertical-align: middle">Cart is empty !</p>
</div>




</ion-content>
